Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testSingleton.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testSingleton.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testSingleton.cpp	(revision 88)
@@ -0,0 +1,33 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/XMLUtils.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "testSingleton"
+
+  void testSingleton (XML_t * xml, bool must_be_singleton)
+  {
+    std::string name = xml->getName ();
+
+    if (must_be_singleton)
+      {
+//         if (xml->getNodes().size() != 0) // isSingleton
+//           throw ERRORMORPHEO(FUNCTION,toString(_("Syntax error, node \"%s\" must be a singleton\n"),name.c_str()));
+      }
+    else
+      {
+      }
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile	(revision 88)
@@ -0,0 +1,24 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ./
+include				$(DIR_COMPONENT)/Makefile.defs
+
+#-----[ Library ]------------------------------------------
+LIBRARY				= $(DIR_LIB)/libCore_Glue.a
+
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_component
+
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.defs	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.defs	(revision 88)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/Makefile.deps	(revision 88)
@@ -0,0 +1,45 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+# DIR_MORPHEO must be defined
+
+Core_Glue			= yes
+
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
+ifndef Priority
+include                         $(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
+endif
+
+#-----[ Directory ]----------------------------------------
+
+Core_Glue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Core_Glue
+
+#-----[ Library ]------------------------------------------
+
+Core_Glue_LIBRARY		= 	-lCore_Glue             \
+                                        $(Priority_LIBRARY)     \
+					$(Behavioural_LIBRARY)	
+
+Core_Glue_DIR_LIBRARY		=	-L$(Core_Glue_DIR)/lib	\
+                                        $(Priority_DIR_LIBRARY) \
+					$(Behavioural_DIR_LIBRARY)
+
+#-----[ Rules ]--------------------------------------------
+
+Core_Glue_library		:
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Priority_library;		\
+				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile;
+
+Core_Glue_library_clean	        :
+				@\
+				$(MAKE) Behavioural_library_clean;	\
+				$(MAKE) Priority_library_clean;	        \
+				$(MAKE) --directory=$(Core_Glue_DIR) --makefile=Makefile clean;
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/Makefile	(revision 88)
@@ -0,0 +1,32 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ../
+include				$(DIR_COMPONENT)/Makefile.defs
+
+LIBRARY				= $(Core_Glue_LIBRARY)
+
+DIR_LIBRARY			= $(Core_Glue_DIR_LIBRARY)
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_selftest
+
+library				: Core_Glue_library
+
+library_clean			: Core_Glue_library_clean
+
+local_clean			:
+
+include                         $(DIR_COMPONENT)/Makefile.deps
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.Synthesis
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-1_front_end-1_ooo_engine-1_execute_loop.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-1_front_end-1_ooo_engine-1_execute_loop.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-1_front_end-1_ooo_engine-1_execute_loop.cfg	(revision 88)
@@ -0,0 +1,45 @@
+Core_Glue
+1	1	+1	# nb_front_end                                                                                     
+1	4	*4	# nb_context                            [0]          [nb_front_end]
+1	1	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+1	1	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+4	4	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0]          [nb_ooo_engine]  
+4	4	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-1_ooo_engine-1_execute_loop.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-1_ooo_engine-1_execute_loop.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-1_ooo_engine-1_execute_loop.cfg	(revision 88)
@@ -0,0 +1,50 @@
+Core_Glue
+4	4	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]          [nb_front_end]
+2	2	+1	# nb_context                            [1]          [nb_front_end]
+4	4	+1	# nb_context                            [2]          [nb_front_end]
+3	3	+1	# nb_context                            [3]          [nb_front_end]
+1	1	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+4	4	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+2	2	+1	# nb_inst_decod                         [1]          [nb_front_end]   
+1	1	+1	# nb_inst_decod                         [2]          [nb_front_end]   
+3	3	+1	# nb_inst_decod                         [3]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [1]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [2]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [3]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+3	3	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0]          [nb_ooo_engine]  
+3	3	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+1	1	+1	# translate_ooo_engine_num_front_end    [0][1]       [nb_ooo_engine][ooo_engine_nb_front_end]
+2	2	+1	# translate_ooo_engine_num_front_end    [0][2]       [nb_ooo_engine][ooo_engine_nb_front_end]
+3	3	+1	# translate_ooo_engine_num_front_end    [0][3]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-3_ooo_engine-1_execute_loop.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-3_ooo_engine-1_execute_loop.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/config-4_front_end-3_ooo_engine-1_execute_loop.cfg	(revision 88)
@@ -0,0 +1,75 @@
+Core_Glue
+4	4	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]          [nb_front_end]
+2	2	+1	# nb_context                            [1]          [nb_front_end]
+4	4	+1	# nb_context                            [2]          [nb_front_end]
+3	3	+1	# nb_context                            [3]          [nb_front_end]
+3	3	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+1	1	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_front_end               [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_front_end               [2]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [2]          [nb_ooo_engine]
+3	3	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+2	2	+1	# nb_inst_decod                         [1]          [nb_front_end]   
+1	1	+1	# nb_inst_decod                         [2]          [nb_front_end]   
+3	3	+1	# nb_inst_decod                         [3]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [1]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [2]          [nb_front_end] 
+3	3 	+1	# front_end_nb_inst_branch_complete     [3]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_inst_branch_complete    [1]          [nb_ooo_engine]
+3	3	+1	# ooo_engine_nb_inst_branch_complete    [2]          [nb_ooo_engine]
+3	3	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_insert                        [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_insert                        [2]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_issue                         [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_issue                         [2]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+3	3	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+1	1	+1	# translate_ooo_engine_num_front_end    [1][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+2	2	+1	# translate_ooo_engine_num_front_end    [1][1]       [nb_ooo_engine][ooo_engine_nb_front_end]
+3	3	+1	# translate_ooo_engine_num_front_end    [2][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+1	1	+1	# translate_execute_loop_num_ooo_engine [0][1]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+2	2	+1	# translate_execute_loop_num_ooo_engine [0][2]       [nb_execute_loop][execute_loop_nb_ooo_engine]
